/////////////////////////////////////// *** eclairage *** ///////////////////////////////////////
// **************************************** fonction marche / arret
if (statutboutoneclairage == HIGH){ // bouton fermé = eclairage ON au MAX
  pwmbleu1 = 0;
  analogWrite(bleu1, puissancebleu);
  pwmbleu2 = 0;
  analogWrite(bleu2, puissancebleu);
  pwmblanc1 = 0;
  analogWrite(blanc1, puissanceblanc);
   pwmblanc2 = 0;
  analogWrite(blanc2, puissanceblanc);
}

else { // bouton ouvert = eclairage ON selon TIME
// **************************************** bleu 1
if ((time >= LEVERbleu1) && (time < finLEVERbleu1)){ 
  pwmbleu1 = map(time, LEVERbleu1, finLEVERbleu1, 0, puissancebleu);
  analogWrite (bleu1, pwmbleu1);
  }
else if ((time >= COUCHERbleu1) && (time < finCOUCHERbleu1)){  
  pwmbleu1 = map(time, COUCHERbleu1, finCOUCHERbleu1, puissancebleu, 0);
  analogWrite (bleu1, pwmbleu1); 
  }   
else if ((time >= finLEVERbleu1 ) && (time < COUCHERbleu1)) {
  pwmbleu1 = puissancebleu;
  analogWrite(bleu1, puissancebleu);
  }
else {
  pwmbleu1 = 0;
  analogWrite(bleu1, 0);
  }
// **************************************** bleu 2
if ((time >= LEVERbleu2) && (time < finLEVERbleu2)){ 
  pwmbleu2 = map(time, LEVERbleu2, finLEVERbleu2, 0, puissancebleu);
  analogWrite (bleu2, pwmbleu2);
  }
else if ((time >= COUCHERbleu2) && (time < finCOUCHERbleu2)){  
  pwmbleu2 = map(time, COUCHERbleu2, finCOUCHERbleu2, puissancebleu, 0);
  analogWrite (bleu2, pwmbleu2); 
  }   
else if ((time >= finLEVERbleu2 ) && (time < COUCHERbleu2)) {
  pwmbleu2 = puissancebleu;
  analogWrite(bleu2, puissancebleu);
  }
else {
  pwmbleu2 = 0;
  analogWrite(bleu2, 0);
  }
// **************************************** blanc 1
if ((time >= LEVERblanc1) && (time < finLEVERblanc1)){ 
  pwmblanc1 = map(time, LEVERblanc1, finLEVERblanc1, 0, puissanceblanc);
  analogWrite (blanc1, pwmblanc1);
  }
else if ((time >= COUCHERblanc1) && (time < finCOUCHERblanc1)){  
  pwmblanc1 = map(time, COUCHERblanc1, finCOUCHERblanc1, puissanceblanc, 0);
  analogWrite (blanc1, pwmblanc1); 
  }   
else if ((time >= finLEVERblanc1 ) && (time < COUCHERblanc1)) {
  pwmblanc1 = puissanceblanc;
  analogWrite(blanc1, puissanceblanc);
  }
else {
  pwmblanc1 = 0;
  analogWrite(blanc1, 0);
  }
// **************************************** blanc 2
if ((time >= LEVERblanc2) && (time < finLEVERblanc2)){ 
  pwmblanc2 = map(time, LEVERblanc2, finLEVERblanc2, 0, puissanceblanc);
  analogWrite (blanc2, pwmblanc2);
  }
else if ((time >= COUCHERblanc2) && (time < finCOUCHERblanc2)){  
  pwmblanc2 = map(time, COUCHERblanc2, finCOUCHERblanc2, puissanceblanc, 0);
  analogWrite (blanc2, pwmblanc2); 
  }   
else if ((time >= finLEVERblanc2 ) && (time < COUCHERblanc2)) {
  pwmblanc2 = puissanceblanc;
  analogWrite(blanc2, puissanceblanc);
  }
else {
  pwmblanc2 = 0;
  analogWrite(blanc2, 0);
  }
}
